Show an image asset by ID
curl --request GET \
--url https://api.passentry.com/api/v1/image-assets/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "19cb334f9696e64e10e7759f0",
"type": "imageAsset",
"attributes": {
"name": "Silver tier banner",
"imageType": "banner",
"processingStatus": "pending",
"size": {
"width": 1125,
"height": 432
},
"entityId": "a1b2c3d4",
"createdAt": "2026-03-01T12:00:00Z",
"url": "https://cdn.passentry.com/image-assets/99/553085/19cb334f9696e64e10e7759f0.png",
"watermark": {
"color": "light",
"position": "bottomRight"
}
}
}
}Was this page helpful?
curl --request GET \
--url https://api.passentry.com/api/v1/image-assets/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "19cb334f9696e64e10e7759f0",
"type": "imageAsset",
"attributes": {
"name": "Silver tier banner",
"imageType": "banner",
"processingStatus": "pending",
"size": {
"width": 1125,
"height": 432
},
"entityId": "a1b2c3d4",
"createdAt": "2026-03-01T12:00:00Z",
"url": "https://cdn.passentry.com/image-assets/99/553085/19cb334f9696e64e10e7759f0.png",
"watermark": {
"color": "light",
"position": "bottomRight"
}
}
}
}